# Xapian::RSet Class Reference

A relevance set (R-Set). More...

`#include <enquire.h>`

Collaboration diagram for Xapian::RSet:

[legend]
List of all members.

## Public Member Functions

| RSet (const RSet &rset)
| Copy constructor.
void | operator= (const RSet &rset)
| Assignment operator.
| RSet ()
| Default constructor.
| ~RSet ()
| Destructor.
Xapian::doccount | size () const
| The number of documents in this R-Set.
bool | empty () const
| Test if this R-Set is empty.
void | add_document (Xapian::docid did)
| Add a document to the relevance set.
void | add_document (const Xapian::MSetIterator &i)
| Add a document to the relevance set.
void | remove_document (Xapian::docid did)
| Remove a document from the relevance set.
void | remove_document (const Xapian::MSetIterator &i)
| Remove a document from the relevance set.
bool | contains (Xapian::docid did) const
| Test if a given document in the relevance set.
bool | contains (const Xapian::MSetIterator &i)
| Test if a given document in the relevance set.
std::string | get_description () const
| Introspection method.

## Public Attributes

Xapian::Internal::RefCntPtr< Internal > | internal

## Detailed Description

A relevance set (R-Set).

This is the set of documents which are marked as relevant, for use in modifying the term weights, and in performing query expansion.

## Constructor & Destructor Documentation

Xapian::RSet::RSet | ( | const RSet & | rset | ) |

| Copy constructor.

Xapian::RSet::RSet | ( |  | ) |

| Default constructor.

Xapian::RSet::~RSet | ( |  | ) |

| Destructor.

## Member Function Documentation

void Xapian::RSet::add_document | ( | const Xapian::MSetIterator & | i | ) | `[inline]`

| Add a document to the relevance set.

void Xapian::RSet::add_document | ( | Xapian::docid | did | ) |

| Add a document to the relevance set.

bool Xapian::RSet::contains | ( | const Xapian::MSetIterator & | i | ) | `[inline]`

| Test if a given document in the relevance set.

bool Xapian::RSet::contains | ( | Xapian::docid | did | ) | const

| Test if a given document in the relevance set.

bool Xapian::RSet::empty | ( |  | ) | const

| Test if this R-Set is empty.

std::string Xapian::RSet::get_description | ( |  | ) | const

Introspection method.

Returns:
  A string representing this RSet.

void Xapian::RSet::operator= | ( | const RSet & | rset | ) |

| Assignment operator.

void Xapian::RSet::remove_document | ( | const Xapian::MSetIterator & | i | ) | `[inline]`

| Remove a document from the relevance set.

void Xapian::RSet::remove_document | ( | Xapian::docid | did | ) |

| Remove a document from the relevance set.

Xapian::doccount Xapian::RSet::size | ( |  | ) | const

| The number of documents in this R-Set.

The documentation for this class was generated from the following file:

- include/xapian/enquire.h